<script setup lang="ts">
import { computed } from 'vue'
import { useProfileStore } from '../stores/profile'
import { baseUrlImage } from '@/services/http'
import { useAuthStore } from '@/stores/auth'
import CustomerTopNav from '@/components/CustomerTopNav.vue'

const auth = useAuthStore()
const profileStore = useProfileStore()

const avatarImage = computed(() => {
  if (auth.isCustomer()) {
    return `${baseUrlImage}/customers/${profileStore.profile.image}`
  }
  return `${baseUrlImage}/employees/${profileStore.profile.image}`
})
</script>
<template>
  <v-container fluid fill-height>
    <v-row class="pb-5">
      <CustomerTopNav></CustomerTopNav>
    </v-row>
    <v-card class="custom-background">
      <v-row>
        <v-col cols="4">
          <v-card min-height="100vh" elevation="4" rounded="lg" class="overflow-y-auto custom-card">
            <v-card height="300" min-width="100" color="#A1887F" elevation="1" rounded="sm">
              <div class="d-flex justify-center mt-10">
                <v-avatar
                  v-if="auth.isCustomer()"
                  class="avatar"
                  color="grey-lighten-2"
                  :image="avatarImage"
                  size="150"
                ></v-avatar>
              </div>
              <div class="text-center">
                <h2 color="black" style="text-align: center">{{ profileStore.profile.name }}</h2>
                <v-card-subtitle
                  ><h3 style="text-align: center">
                    {{ profileStore.profile.email }}
                  </h3></v-card-subtitle
                >
              </div>
              <div class="d-flex justify-left"></div>
            </v-card>
            <div class="d-flex justify-center mt-5">
              <v-card height="auto" min-width="100" color="#A1887F" elevation="1" rounded="sm">
                <v-card-text>
                  <v-row>
                    <v-col cols="6">
                      <h3>Name</h3>
                    </v-col>
                    <v-col cols="6">{{ profileStore.profile.name }} </v-col>
                    <v-col cols="6">
                      <h3>Email</h3>
                    </v-col>
                    <v-col cols="6">{{ profileStore.profile.email }} </v-col>
                    <v-col cols="6"><h3>Role</h3> </v-col>
                    <v-col cols="6">{{ profileStore.profile.role }} </v-col>
                    <v-col cols="6"><h3>Phone Number</h3> </v-col>
                    <v-col cols="6">{{ profileStore.profile.tel }} </v-col>
                    <v-col cols="6"><h3>Birthday</h3> </v-col>
                    <v-col cols="6">{{ profileStore.profile.birthDay }} </v-col>
                    <v-col cols="6"><h3>Member since</h3> </v-col>
                    <v-col cols="6">{{ profileStore.profile.registerDate }} </v-col>
                    <v-col cols="6"><h3>Point</h3> </v-col>
                    <v-col cols="6">{{ profileStore.profile.point }} </v-col>
                  </v-row>
                </v-card-text>
              </v-card>
            </div>
          </v-card>
        </v-col>
        <v-divider vertical></v-divider>
        <v-col cols="8">
          <v-card
            min-height="100vh"
            min-width="500"
            elevation="4"
            rounded="lg"
            class="overflow-y-auto custom-card"
          >
            <v-card-text>
              <h1 style="margin: 20px; margin-left: 20px">Your Profile</h1>
              <v-row>
                <v-col cols="5" style="margin-left: 50px">
                  <label for="fisrtName">Fisrt Name</label>
                  <v-text-field
                    v-model="profileStore.profile.firstName"
                    variant="outlined"
                    class="mb-2"
                    readonly
                  ></v-text-field>
                </v-col>
                <v-col cols="5" style="margin-left: 50px">
                  <label for="lastName">Last Name</label>
                  <v-text-field
                    v-model="profileStore.profile.lastName"
                    variant="outlined"
                    class="mb-2"
                    readonly
                  ></v-text-field>
                </v-col>
              </v-row>
              <v-row>
                <v-col cols="5" style="margin-left: 50px">
                  <label for="email">Email</label>
                  <v-text-field
                    v-model="profileStore.profile.email"
                    hide-details="auto"
                    placeholder="yourname@gmail.com"
                    type="email"
                    variant="outlined"
                    readonly
                    class="mb-2"
                  ></v-text-field>
                </v-col>
                <v-col cols="5" style="margin-left: 50px">
                  <label for="tel">Phone Number</label>
                  <v-text-field
                    v-model="profileStore.editCustomer.tel"
                    variant="outlined"
                    class="mb-2"
                    readonly
                  ></v-text-field>
                </v-col>
              </v-row>
              <v-row>
                <v-col cols="5" style="margin-left: 50px">
                  <label for="tel">Birthday</label>
                  <v-text-field
                    v-model="profileStore.editCustomer.birthDay"
                    variant="outlined"
                    class="mb-2"
                    readonly
                  ></v-text-field>
                </v-col>
                <v-col cols="5" style="margin-left: 50px">
                  <label for="tel">Register Date</label>
                  <v-text-field
                    v-model="profileStore.editCustomer.registerDate"
                    variant="outlined"
                    class="mb-2"
                    readonly
                  ></v-text-field>
                </v-col>
              </v-row>
              <v-divider></v-divider>
            </v-card-text>
          </v-card>
        </v-col>
      </v-row>
    </v-card>
  </v-container>
</template>
<style>
.custom-background-color {
  background-color: #ffd180;
}
.custom-background {
  background: url('@/assets/background2.png');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  height: 100vh;
  width: 100%;
}
.custom-card {
  opacity: 0.9;
}
</style>
